
# Instructions
after the project is pulled, run `git submodule update --init --recursive` to pull submodules. This is stuff like abseil and other maps

make a build directory and run `cmake .. G - "Unix makefiles"` or whatever build system is used
then  `make` (or whatever build system is used)

This should work, but I've been using vscode with the cmake-tools plugin which does it automatically for me.

## Dependencies
Install boost. (https://www.boost.org/) should just be `pacman -S boost` on arch based systems.
There was no easy way to include it in the source, so we installed it with the OS package manager. 
Also, this is only tested on linux. It *should* work on windows. I remember it working on windows, but I recently did a fresh install on windows after getting an SSD and I'm having trouble configuring clang to work for projects I was able to compile in the past.
Assume it doesnt and compile on linux. 
Also, make sure your compiler supports C++17. That should be the latest versions all major compilers (clang 5+, gcc 7+, msvc 19.14+ (Visual studio 2017+))
We're at VS2019, clang 10 and gcc 9 now, so this shouldn't be an issue unless your compilers are horribly outdated. If you updated anywhere in the past 3-4 years, you should be fine. 
